Show / Hide Table of Contents

# Struct AgentHUD

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    [Agent(AgentId.Hud)]
    public struct AgentHUD

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### CompanionSummonTimer

##### Declaration

    public int CompanionSummonTimer

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PartyEnmityList

##### Declaration

    public HudPartyMemberEnmity*PartyEnmityList

##### Field Value

Type | Description
--- | ---
HudPartyMemberEnmity* |

| Improve this Doc View Source

#### PartyMemberCount

##### Declaration

    public int PartyMemberCount

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### PartyMemberList

##### Declaration

    public byte *PartyMemberList

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### PartyTitleAddonId

##### Declaration

    public uint PartyTitleAddonId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### RaidGroupSize

##### Declaration

    public int RaidGroupSize

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RaidMemberIds

##### Declaration

    public uint *RaidMemberIds

##### Field Value

Type | Description
--- | ---
System.UInt32* |

### Methods

| Improve this Doc View Source

#### OpenContextMenuFromTarget(GameObject*)

##### Declaration

    [MemberFunction("48 85 D2 74 7F 48 89 5C 24")]
    public void OpenContextMenuFromTarget(GameObject*gameObject)

##### Parameters

Type | Name | Description
--- | --- | ---
GameObject* | gameObject |